Loading...
Searching...
No Matches
svn_wc_entry_callbacks2_t Struct Reference
Working copy management

A callback vtable invoked by the generic entry-walker function. More...

`#include <svn_wc.h>`

## Data Fields

svn_error_t *(* | found_entry )(const char *path, const svn_wc_entry_t *entry, void *walk_baton, apr_pool_t *pool)
| An entry was found at path.
svn_error_t *(* | handle_error )(const char *path, svn_error_t *err, void *walk_baton, apr_pool_t *pool)
| Handle the error err encountered while processing path.

## Detailed Description

A callback vtable invoked by the generic entry-walker function.

Since
  New in 1.5.

Definition at line 3395 of file svn_wc.h.

## Field Documentation

## found_entry

svn_error_t *(* svn_wc_entry_callbacks2_t::found_entry) (const char *path, const svn_wc_entry_t *entry, void *walk_baton, apr_pool_t *pool)

An entry was found at path.

Definition at line 3398 of file svn_wc.h.

## handle_error

svn_error_t *(* svn_wc_entry_callbacks2_t::handle_error) (const char *path, svn_error_t *err, void *walk_baton, apr_pool_t *pool)

Handle the error err encountered while processing path.

Wrap or squelch err as desired, and return an svn_error_t *, or SVN_NO_ERROR.

Definition at line 3407 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h